ansel
Posts: 1
Joined: Mon Jun 16, 2014 8:36 pm

problem using pi cam and running rpi-update

Mon Jun 16, 2014 8:48 pm

I have been successfully using my picam until I recently established an internet connection and ran $sudo apt-get update and $sudo apt-get upgrade. Now when I use the camera it gives me these errors when i use the raspivid command (the viewing window appears for the right amount of time but when it goes away the errors are on the terminal):

mmal: mmal_vc_port_parameter_set: failed to set port parameter 48:2:ENOSYS
mmal: failed to set INLINE VECTORS parameters

no idea what that means. I looked it up, found almost nothing but was pointed in the direction of using $sudo rpi-update, which gave me the following error:

cp:cannot stat '//lib/modules/3.10.25+': NO such file or directory

also no idea what that means. Can anyone shed any light? I couldn't find people with similar problems and have no idea what to do. I'm running raspbian wheezy and I got my Pi last week so I highly doubt the issue is outdated software or firmware. thank you

-ansel

antonvh
Posts: 5
Joined: Wed Sep 17, 2014 8:56 pm

Re: problem using pi cam and running rpi-update

Wed Sep 17, 2014 8:59 pm

Same problem here! Please help. I get this:

Code: Select all

~ $ raspivid -t 999999 -w 640 -h 480 -fps 20 -o - | nc 192.168.179.21 5001
mmal: Argument is invalid
mmal: failed to set INLINE VECTORS parameters
Do I have to erase my SD and burn a new wheezy image?

Return to “Troubleshooting”